package com.jxml.quick.util.qjml4;

import java.io.PrintWriter;
import java.util.ArrayList;

public class QMField extends QGBase implements QGBaseIntf, QMConnector {

    public String name;

    public String fClass;

    public String initializer;


    public QMField() {
    }

    /** full constructor */
    public QMField(String name, String fClass, String initializer) {
        this.name = name;
        this.fClass = fClass;
        this.initializer = initializer;
    }

    public void print(PrintWriter pw, String indent) {
        pw.println(indent + "element field");
        if (name != null) {
            pw.println(indent + "name = " + name);
        } else
            pw.println(indent + "name = null");
        if (fClass != null) {
            pw.println(indent + "fClass = " + fClass);
        } else
            pw.println(indent + "fClass = null");
        if (initializer != null) {
            pw.println(indent + "initializer = " + initializer);
        } else
            pw.println(indent + "initializer = null");
    }

}
